// Code generated by protoc-gen-go. DO NOT EDIT.
// source: company.proto

package company_service

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Company struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Company) Reset()         { *m = Company{} }
func (m *Company) String() string { return proto.CompactTextString(m) }
func (*Company) ProtoMessage()    {}
func (*Company) Descriptor() ([]byte, []int) {
	return fileDescriptor_ade57ca5b8f3903f, []int{0}
}

func (m *Company) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Company.Unmarshal(m, b)
}
func (m *Company) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Company.Marshal(b, m, deterministic)
}
func (m *Company) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Company.Merge(m, src)
}
func (m *Company) XXX_Size() int {
	return xxx_messageInfo_Company.Size(m)
}
func (m *Company) XXX_DiscardUnknown() {
	xxx_messageInfo_Company.DiscardUnknown(m)
}

var xxx_messageInfo_Company proto.InternalMessageInfo

func (m *Company) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Company) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type CompanyId struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CompanyId) Reset()         { *m = CompanyId{} }
func (m *CompanyId) String() string { return proto.CompactTextString(m) }
func (*CompanyId) ProtoMessage()    {}
func (*CompanyId) Descriptor() ([]byte, []int) {
	return fileDescriptor_ade57ca5b8f3903f, []int{1}
}

func (m *CompanyId) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CompanyId.Unmarshal(m, b)
}
func (m *CompanyId) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CompanyId.Marshal(b, m, deterministic)
}
func (m *CompanyId) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CompanyId.Merge(m, src)
}
func (m *CompanyId) XXX_Size() int {
	return xxx_messageInfo_CompanyId.Size(m)
}
func (m *CompanyId) XXX_DiscardUnknown() {
	xxx_messageInfo_CompanyId.DiscardUnknown(m)
}

var xxx_messageInfo_CompanyId proto.InternalMessageInfo

func (m *CompanyId) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type StatusCompany struct {
	Status               string   `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StatusCompany) Reset()         { *m = StatusCompany{} }
func (m *StatusCompany) String() string { return proto.CompactTextString(m) }
func (*StatusCompany) ProtoMessage()    {}
func (*StatusCompany) Descriptor() ([]byte, []int) {
	return fileDescriptor_ade57ca5b8f3903f, []int{2}
}

func (m *StatusCompany) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusCompany.Unmarshal(m, b)
}
func (m *StatusCompany) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusCompany.Marshal(b, m, deterministic)
}
func (m *StatusCompany) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusCompany.Merge(m, src)
}
func (m *StatusCompany) XXX_Size() int {
	return xxx_messageInfo_StatusCompany.Size(m)
}
func (m *StatusCompany) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusCompany.DiscardUnknown(m)
}

var xxx_messageInfo_StatusCompany proto.InternalMessageInfo

func (m *StatusCompany) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type GetAllCompanyRequest struct {
	Offset               int64    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int64    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	Name                 string   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetAllCompanyRequest) Reset()         { *m = GetAllCompanyRequest{} }
func (m *GetAllCompanyRequest) String() string { return proto.CompactTextString(m) }
func (*GetAllCompanyRequest) ProtoMessage()    {}
func (*GetAllCompanyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ade57ca5b8f3903f, []int{3}
}

func (m *GetAllCompanyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetAllCompanyRequest.Unmarshal(m, b)
}
func (m *GetAllCompanyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetAllCompanyRequest.Marshal(b, m, deterministic)
}
func (m *GetAllCompanyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetAllCompanyRequest.Merge(m, src)
}
func (m *GetAllCompanyRequest) XXX_Size() int {
	return xxx_messageInfo_GetAllCompanyRequest.Size(m)
}
func (m *GetAllCompanyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetAllCompanyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetAllCompanyRequest proto.InternalMessageInfo

func (m *GetAllCompanyRequest) GetOffset() int64 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetAllCompanyRequest) GetLimit() int64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

func (m *GetAllCompanyRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type GetAllCompanyResponse struct {
	Companies            []*Company `protobuf:"bytes,1,rep,name=companies,proto3" json:"companies,omitempty"`
	Count                int32      `protobuf:"varint,2,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *GetAllCompanyResponse) Reset()         { *m = GetAllCompanyResponse{} }
func (m *GetAllCompanyResponse) String() string { return proto.CompactTextString(m) }
func (*GetAllCompanyResponse) ProtoMessage()    {}
func (*GetAllCompanyResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ade57ca5b8f3903f, []int{4}
}

func (m *GetAllCompanyResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetAllCompanyResponse.Unmarshal(m, b)
}
func (m *GetAllCompanyResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetAllCompanyResponse.Marshal(b, m, deterministic)
}
func (m *GetAllCompanyResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetAllCompanyResponse.Merge(m, src)
}
func (m *GetAllCompanyResponse) XXX_Size() int {
	return xxx_messageInfo_GetAllCompanyResponse.Size(m)
}
func (m *GetAllCompanyResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetAllCompanyResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetAllCompanyResponse proto.InternalMessageInfo

func (m *GetAllCompanyResponse) GetCompanies() []*Company {
	if m != nil {
		return m.Companies
	}
	return nil
}

func (m *GetAllCompanyResponse) GetCount() int32 {
	if m != nil {
		return m.Count
	}
	return 0
}

func init() {
	proto.RegisterType((*Company)(nil), "genproto.Company")
	proto.RegisterType((*CompanyId)(nil), "genproto.CompanyId")
	proto.RegisterType((*StatusCompany)(nil), "genproto.StatusCompany")
	proto.RegisterType((*GetAllCompanyRequest)(nil), "genproto.GetAllCompanyRequest")
	proto.RegisterType((*GetAllCompanyResponse)(nil), "genproto.GetAllCompanyResponse")
}

func init() { proto.RegisterFile("company.proto", fileDescriptor_ade57ca5b8f3903f) }

var fileDescriptor_ade57ca5b8f3903f = []byte{
	// 234 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x90, 0xcf, 0x4b, 0x87, 0x40,
	0x10, 0xc5, 0xf9, 0xba, 0x69, 0x39, 0x61, 0xd0, 0x62, 0x21, 0x75, 0x89, 0xbd, 0xe4, 0x25, 0x85,
	0xfa, 0x0b, 0xaa, 0x43, 0x74, 0xdd, 0x2e, 0xd1, 0xa1, 0x30, 0x1d, 0x63, 0x41, 0x77, 0xcd, 0x5d,
	0x83, 0xfe, 0xfb, 0x70, 0x7f, 0x54, 0x78, 0xdb, 0xf7, 0xf6, 0x33, 0x33, 0x8f, 0x07, 0x59, 0xab,
	0xc6, 0xa9, 0x91, 0xdf, 0xd5, 0x34, 0x2b, 0xa3, 0xe8, 0xc1, 0x07, 0x4a, 0xfb, 0x62, 0x57, 0xb0,
	0x7f, 0xef, 0xbe, 0xe8, 0x11, 0x44, 0xa2, 0x2b, 0x76, 0x17, 0xbb, 0x32, 0xe5, 0x91, 0xe8, 0x28,
	0x85, 0x3d, 0xd9, 0x8c, 0x58, 0x44, 0xd6, 0xb1, 0x6f, 0x76, 0x0e, 0xa9, 0xc7, 0x1f, 0xbb, 0xed,
	0x00, 0xbb, 0x84, 0xec, 0xc9, 0x34, 0x66, 0xd1, 0x61, 0xe3, 0x29, 0x24, 0xda, 0x1a, 0x1e, 0xf2,
	0x8a, 0x3d, 0x43, 0xfe, 0x80, 0xe6, 0x76, 0x18, 0x3c, 0xc8, 0xf1, 0x73, 0x41, 0x6d, 0x56, 0x5e,
	0xf5, 0xbd, 0x46, 0x63, 0x79, 0xc2, 0xbd, 0xa2, 0x39, 0xc4, 0x83, 0x18, 0x85, 0xb1, 0x51, 0x08,
	0x77, 0xe2, 0x37, 0x1f, 0xf9, 0x97, 0xef, 0x15, 0x4e, 0x36, 0x9b, 0xf5, 0xa4, 0xa4, 0x46, 0x5a,
	0x43, 0xea, 0x2a, 0x10, 0xb8, 0xa6, 0x21, 0xe5, 0xe1, 0xf5, 0x71, 0x15, 0x5a, 0xa8, 0x02, 0xfd,
	0xc7, 0xac, 0x37, 0x5b, 0xb5, 0x48, 0x77, 0x33, 0xe6, 0x4e, 0xdc, 0x9d, 0xbd, 0x14, 0x61, 0xa8,
	0xf6, 0x95, 0xbe, 0x69, 0x9c, 0xbf, 0x44, 0x8b, 0xef, 0x89, 0xb5, 0x6f, 0x7e, 0x02, 0x00, 0x00,
	0xff, 0xff, 0xea, 0x40, 0x8f, 0x15, 0x6c, 0x01, 0x00, 0x00,
}
